<?php
require_once(__DIR__.'/../includes/sysinit.php');
require(SABLE_WORKING_PATH.'area/area_func.php');
//**********************************************************************************
$_SESSION['listParams']['searchVisible'] = 1;
if (isset($_POST))
{
	$_SESSION['listParams']['searchField'][0] = 'area_type_name';
	$_SESSION['listParams']['searchField'][1] = 'area_name';
}
$_SESSION['module']['addlink'] = SableSystem::getCallPageLink('/area/add.php');
$_SESSION['listParams']['listSql'] = "select area_id, area_name, area_type.area_type_name
									  from area
									  inner join area_type on area_type.area_id = area.area_id ";

$_SESSION['listParams']['module']					= "area";
$_SESSION['listParams']['page']						= 0;
$_SESSION['listParams']['offset']					= 50; //the number of records to display per page
$_SESSION['listParams']['parentId']					= ""; //
$_SESSION['listParams']['moduleFolder']				= "area";
$_SESSION['listParams']['moduleFolderDesc']			= "Area";
$_SESSION['listParams']['modulePage']				= "index.php";
$_SESSION['listParams']['moduleIdField']			= "area_id";
$_SESSION['listParams']['moduleDescField']			= "area_name";
$_SESSION['listParams']['orderField']				= 0;
$_SESSION['listParams']['orderDirection']			= 0;

$_SESSION['listParams']['listHeadings'][0] = "Area";
$_SESSION['listParams']['listHeadings'][1] = "Area";
if ($_SESSION['user']['access_level'] >= SABLE_ACCESS_USER){	$_SESSION['listParams']['listHeadings'][2] = "";} //Add
if ($_SESSION['user']['access_level'] >= SABLE_ACCESS_CLERK){	$_SESSION['listParams']['listHeadings'][3] = "";} //Edit
if ($_SESSION['user']['access_level'] >= SABLE_ACCESS_ADMIN){	$_SESSION['listParams']['listHeadings'][4] = "";} //Delete

$_SESSION['listParams']['listHeadingWidth'][0] = "15%";
$_SESSION['listParams']['listHeadingWidth'][1] = "35%";
if ($_SESSION['user']['access_level'] >= SABLE_ACCESS_USER){	$_SESSION['listParams']['listHeadingWidth'][2] = "5%";} //View
if ($_SESSION['user']['access_level'] >= SABLE_ACCESS_CLERK){	$_SESSION['listParams']['listHeadingWidth'][3] = "5%";} //Edit
if ($_SESSION['user']['access_level'] >= SABLE_ACCESS_ADMIN){	$_SESSION['listParams']['listHeadingWidth'][4] = "95%";} //Delete

$_SESSION['listParams']['listFields'][0]['field']			= "area_type_name";
$_SESSION['listParams']['listFields'][1]['field']			= "area_name";
if ($_SESSION['user']['access_level'] >= SABLE_ACCESS_USER) 
{
	$_SESSION['listParams']['listFields'][2]['field'] = "<i class='fa fa-2x ".SABLE_DATALIST_VIEW."' title='View --!--'></i>";
	$_SESSION['listParams']['listFields'][2]['onClick'] = " onClick='viewArea(\"--#--\")' ";
}
if ($_SESSION['user']['access_level'] >= SABLE_ACCESS_CLERK) 
{
	$_SESSION['listParams']['listFields'][3]['field'] = "<i class='fa fa-2x ".SABLE_DATALIST_EDIT."' title='Modify --!--'></i>";
	$_SESSION['listParams']['listFields'][3]['onClick'] = " onClick='editArea(\"--#--\")' ";
}
if ($_SESSION['user']['access_level'] >= SABLE_ACCESS_ADMIN) 
{
	$_SESSION['listParams']['listFields'][4]['field'] = "<i class='fa fa-2x ".SABLE_DATALIST_DELETE."' title='Delete --!--'></i>";
	$_SESSION['listParams']['listFields'][4]['onClick'] = " onClick='deleteArea(\"--#--\",\"--!--\")' ";
}
SableGeneralFunctions::callDataList();
